diff --git a/.drone.yml b/.drone.yml
index 919c991..62eaf5b 100644
--- a/.drone.yml
+++ b/.drone.yml
@@ -13,7 +13,7 @@ steps:
- echo -n "${DRONE_BRANCH//\//-}-${DRONE_COMMIT_SHA:0:8}, latest" > .tags
-- name: publish_webservice
+- name: publish_api
image: plugins/docker
settings:
username:
@@ -23,8 +23,21 @@ steps:
registry:
from_secret: registry
repo:
- from_secret: repo_webservice
- dockerfile: webservice/Dockerfile
+ from_secret: repo_api
+ dockerfile: api/Dockerfile
+
+- name: publish_frontend
+ image: plugins/docker
+ settings:
+ username:
+ from_secret: username
+ password:
+ from_secret: password
+ registry:
+ from_secret: registry
+ repo:
+ from_secret: repo_frontend
+ dockerfile: frontend/Dockerfile
- name: publish_bot
image: plugins/docker
diff --git a/.gitignore b/.gitignore
index 1a8385e..fba0141 100644
--- a/.gitignore
+++ b/.gitignore
@@ -5,4 +5,194 @@ env
Lib
Include
*/*/__pycache__/*
-*/__pycache__/*
\ No newline at end of file
+*/__pycache__/*
+# Created by .ignore support plugin (hsz.mobi)
+### Python template
+# Byte-compiled / optimized / DLL files
+__pycache__/
+*.py[cod]
+*$py.class
+
+# C extensions
+*.so
+
+# Distribution / packaging
+.Python
+env/
+build/
+develop-eggs/
+dist/
+downloads/
+eggs/
+.eggs/
+lib/
+lib64/
+parts/
+sdist/
+var/
+*.egg-info/
+.installed.cfg
+*.egg
+
+# PyInstaller
+# Usually these files are written by a python script from a template
+# before PyInstaller builds the exe, so as to inject date/other infos into it.
+*.manifest
+*.spec
+
+# Installer logs
+pip-log.txt
+pip-delete-this-directory.txt
+
+# Unit test / coverage reports
+htmlcov/
+.tox/
+.coverage
+.coverage.*
+.cache
+nosetests.xml
+coverage.xml
+*,cover
+.hypothesis/
+
+# Translations
+*.mo
+*.pot
+
+# Django stuff:
+*.log
+local_settings.py
+
+# Flask stuff:
+instance/
+.webassets-cache
+
+# Scrapy stuff:
+.scrapy
+
+# Sphinx documentation
+docs/_build/
+
+# PyBuilder
+target/
+
+# IPython Notebook
+.ipynb_checkpoints
+
+# pyenv
+.python-version
+
+# celery beat schedule file
+celerybeat-schedule
+
+# virtualenv
+venv/
+ENV/
+
+# Spyder project settings
+.spyderproject
+
+# Rope project settings
+.ropeproject
+### VirtualEnv template
+# Virtualenv
+# http://iamzed.com/2009/05/07/a-primer-on-virtualenv/
+[Bb]in
+[Ii]nclude
+[Ll]ib
+[Ll]ib64
+[Ll]ocal
+[Ss]cripts
+pyvenv.cfg
+.venv
+pip-selfcheck.json
+### JetBrains template
+# Covers JetBrains IDEs: IntelliJ, RubyMine, PhpStorm, AppCode, PyCharm, CLion, Android Studio and Webstorm
+# Reference: https://intellij-support.jetbrains.com/hc/en-us/articles/206544839
+
+# User-specific stuff:
+.idea/workspace.xml
+.idea/tasks.xml
+.idea/dictionaries
+.idea/vcs.xml
+.idea/jsLibraryMappings.xml
+
+# Sensitive or high-churn files:
+.idea/dataSources.ids
+.idea/dataSources.xml
+.idea/dataSources.local.xml
+.idea/sqlDataSources.xml
+.idea/dynamic.xml
+.idea/uiDesigner.xml
+
+# Gradle:
+.idea/gradle.xml
+.idea/libraries
+
+# Mongo Explorer plugin:
+.idea/mongoSettings.xml
+
+.idea/
+
+## File-based project format:
+*.iws
+
+## Plugin-specific files:
+
+# IntelliJ
+/out/
+
+# mpeltonen/sbt-idea plugin
+.idea_modules/
+
+# JIRA plugin
+atlassian-ide-plugin.xml
+
+# Crashlytics plugin (for Android Studio and IntelliJ)
+com_crashlytics_export_strings.xml
+crashlytics.properties
+crashlytics-build.properties
+fabric.properties
+
+# See http://help.github.com/ignore-files/ for more about ignoring files.
+
+# compiled output
+/dist
+/tmp
+/out-tsc
+
+# dependencies
+/node_modules
+
+# IDEs and editors
+/.idea
+.project
+.classpath
+.c9/
+*.launch
+.settings/
+*.sublime-workspace
+
+# IDE - VSCode
+.vscode/*
+!.vscode/settings.json
+!.vscode/tasks.json
+!.vscode/launch.json
+!.vscode/extensions.json
+
+# misc
+/.sass-cache
+/connect.lock
+/coverage
+/libpeerconnection.log
+npm-debug.log
+testem.log
+/typings
+
+# e2e
+/e2e/*.js
+/e2e/*.map
+
+# System Files
+.DS_Store
+Thumbs.db
\ No newline at end of file
diff --git a/webservice/Dockerfile b/api/Dockerfile
similarity index 74%
rename from webservice/Dockerfile
rename to api/Dockerfile
index 19bf639..2736a90 100644
--- a/webservice/Dockerfile
+++ b/api/Dockerfile
@@ -3,12 +3,12 @@ FROM python:3.10-alpine
WORKDIR /srv/flask_app
RUN apk add nginx build-base libffi-dev curl uwsgi
-COPY webservice/requirements.txt /srv/flask_app/
+COPY api/requirements.txt /srv/flask_app/
RUN pip install -r requirements.txt --src /usr/local/src --no-warn-script-location
-COPY webservice /srv/flask_app
-COPY webservice/deploy/nginx.conf /etc/nginx
+COPY api /srv/flask_app
+COPY api/deploy/nginx.conf /etc/nginx
RUN chmod +x ./deploy/start.sh
RUN chmod +x ./deploy/healthcheck.sh
diff --git a/webservice/api_blueprint_keyword.py b/api/api_blueprint_keyword.py
similarity index 100%
rename from webservice/api_blueprint_keyword.py
rename to api/api_blueprint_keyword.py
diff --git a/webservice/api_blueprint_portfolio.py b/api/api_blueprint_portfolio.py
similarity index 100%
rename from webservice/api_blueprint_portfolio.py
rename to api/api_blueprint_portfolio.py
diff --git a/webservice/api_blueprint_shares.py b/api/api_blueprint_shares.py
similarity index 100%
rename from webservice/api_blueprint_shares.py
rename to api/api_blueprint_shares.py
diff --git a/webservice/api_blueprint_transactions.py b/api/api_blueprint_transactions.py
similarity index 100%
rename from webservice/api_blueprint_transactions.py
rename to api/api_blueprint_transactions.py
diff --git a/webservice/api_blueprint_user.py b/api/api_blueprint_user.py
similarity index 100%
rename from webservice/api_blueprint_user.py
rename to api/api_blueprint_user.py
diff --git a/webservice/app.py b/api/app.py
similarity index 71%
rename from webservice/app.py
rename to api/app.py
index 3a666fd..ff8a95a 100644
--- a/webservice/app.py
+++ b/api/app.py
@@ -4,7 +4,6 @@ from dotenv import load_dotenv
from flask_cors import CORS
from models import *
-from blueprint_interface import interface_blueprint
from api_blueprint_keyword import keyword_blueprint
from api_blueprint_shares import shares_blueprint
from api_blueprint_user import users_blueprint
@@ -35,17 +34,6 @@ def create_app():
application.register_blueprint(portfolio_blueprint)
application.register_blueprint(users_blueprint)
- # interface blueprint
- application.register_blueprint(interface_blueprint)
-
- # CORS: Allow * for developing
- @application.after_request # blueprint can also be app~~
- def after_request(response):
- header = response.headers
- header['Access-Control-Allow-Headers'] = 'Content-Type'
- header['Access-Control-Allow-Origin'] = '*'
- return response
-
return application
diff --git a/webservice/auth.py b/api/auth.py
similarity index 100%
rename from webservice/auth.py
rename to api/auth.py
diff --git a/webservice/config.py b/api/config.py
similarity index 100%
rename from webservice/config.py
rename to api/config.py
diff --git a/webservice/db.py b/api/db.py
similarity index 100%
rename from webservice/db.py
rename to api/db.py
diff --git a/webservice/deploy/healthcheck.sh b/api/deploy/healthcheck.sh
similarity index 100%
rename from webservice/deploy/healthcheck.sh
rename to api/deploy/healthcheck.sh
diff --git a/webservice/deploy/nginx.conf b/api/deploy/nginx.conf
similarity index 100%
rename from webservice/deploy/nginx.conf
rename to api/deploy/nginx.conf
diff --git a/webservice/deploy/start.sh b/api/deploy/start.sh
similarity index 100%
rename from webservice/deploy/start.sh
rename to api/deploy/start.sh
diff --git a/webservice/deploy/uwsgi.ini b/api/deploy/uwsgi.ini
similarity index 100%
rename from webservice/deploy/uwsgi.ini
rename to api/deploy/uwsgi.ini
diff --git a/webservice/helper_functions.py b/api/helper_functions.py
similarity index 100%
rename from webservice/helper_functions.py
rename to api/helper_functions.py
diff --git a/webservice/models.py b/api/models.py
similarity index 100%
rename from webservice/models.py
rename to api/models.py
diff --git a/webservice/requirements.txt b/api/requirements.txt
similarity index 100%
rename from webservice/requirements.txt
rename to api/requirements.txt
diff --git a/webservice/scheme.py b/api/scheme.py
similarity index 100%
rename from webservice/scheme.py
rename to api/scheme.py
diff --git a/docs/postman.json b/documentation/api/postman.json
similarity index 100%
rename from docs/postman.json
rename to documentation/api/postman.json
diff --git a/database/README.md b/documentation/database/README.md
similarity index 100%
rename from database/README.md
rename to documentation/database/README.md
diff --git a/database/structure_database.pdf b/documentation/database/structure_database.pdf
similarity index 100%
rename from database/structure_database.pdf
rename to documentation/database/structure_database.pdf
diff --git a/database/structure_database.uxf b/documentation/database/structure_database.uxf
similarity index 95%
rename from database/structure_database.uxf
rename to documentation/database/structure_database.uxf
index a1d5be5..6702c2a 100644
--- a/database/structure_database.uxf
+++ b/documentation/database/structure_database.uxf
@@ -1,105 +1,105 @@
-
-
- 10
-
- UMLClass
-
- 580
- 320
- 210
- 80
-
- Stichwort
---
-PK: s_id
-FK: username
-Stichwort
-
-
-
- UMLClass
-
- 580
- 100
- 210
- 130
-
- User
---
-PK: username
-password
-user_id
-telegramname
-Rolle
-
-
-
-
- UMLClass
-
- 930
- 80
- 210
- 90
-
- Aktie
---
-PK: a_id
-FK: username
-Aktiensymbol
-
-
-
-
- UMLClass
-
- 200
- 320
- 210
- 130
-
- Transaktion
---
-PK: t_id
-FK: username
-FK: Aktiensymbol
-Zeitpunkt
-Anzahl(+/-)
-Preis(+/-)
-
-
-
-
- Relation
-
- 780
- 120
- 170
- 30
-
- lt=<-
- 150.0;10.0;10.0;10.0
-
-
- Relation
-
- 400
- 120
- 200
- 260
-
- lt=<-
- 10.0;240.0;180.0;10.0
-
-
- Relation
-
- 510
- 200
- 90
- 190
-
- lt=<-
- 70.0;170.0;10.0;10.0
-
-
+
+
+ 10
+
+ UMLClass
+
+ 580
+ 320
+ 210
+ 80
+
+ Stichwort
+--
+PK: s_id
+FK: username
+Stichwort
+
+
+
+ UMLClass
+
+ 580
+ 100
+ 210
+ 130
+
+ User
+--
+PK: username
+password
+user_id
+telegramname
+Rolle
+
+
+
+
+ UMLClass
+
+ 930
+ 80
+ 210
+ 90
+
+ Aktie
+--
+PK: a_id
+FK: username
+Aktiensymbol
+
+
+
+
+ UMLClass
+
+ 200
+ 320
+ 210
+ 130
+
+ Transaktion
+--
+PK: t_id
+FK: username
+FK: Aktiensymbol
+Zeitpunkt
+Anzahl(+/-)
+Preis(+/-)
+
+
+
+
+ Relation
+
+ 780
+ 120
+ 170
+ 30
+
+ lt=<-
+ 150.0;10.0;10.0;10.0
+
+
+ Relation
+
+ 400
+ 120
+ 200
+ 260
+
+ lt=<-
+ 10.0;240.0;180.0;10.0
+
+
+ Relation
+
+ 510
+ 200
+ 90
+ 190
+
+ lt=<-
+ 70.0;170.0;10.0;10.0
+
+
diff --git a/project_requirements/2022-03-15 Anforderungen an Projekt.pdf b/documentation/requirements/2022-03-15 Anforderungen an Projekt.pdf
similarity index 100%
rename from project_requirements/2022-03-15 Anforderungen an Projekt.pdf
rename to documentation/requirements/2022-03-15 Anforderungen an Projekt.pdf
diff --git a/webservice/Frontend/Aktienbot/.browserslistrc b/frontend/.browserslistrc
similarity index 100%
rename from webservice/Frontend/Aktienbot/.browserslistrc
rename to frontend/.browserslistrc
diff --git a/webservice/Frontend/Aktienbot/.editorconfig b/frontend/.editorconfig
similarity index 100%
rename from webservice/Frontend/Aktienbot/.editorconfig
rename to frontend/.editorconfig
diff --git a/webservice/Frontend/Aktienbot/.gitignore b/frontend/.gitignore
similarity index 96%
rename from webservice/Frontend/Aktienbot/.gitignore
rename to frontend/.gitignore
index 0711527..f71696d 100644
--- a/webservice/Frontend/Aktienbot/.gitignore
+++ b/frontend/.gitignore
@@ -21,7 +21,7 @@ yarn-error.log
*.sublime-workspace
# Visual Studio Code
-.vscode/*
+.vscode/tasks.json
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
diff --git a/frontend/Dockerfile b/frontend/Dockerfile
new file mode 100644
index 0000000..f298e1e
--- /dev/null
+++ b/frontend/Dockerfile
@@ -0,0 +1,19 @@
+FROM node:latest as build
+
+WORKDIR /usr/local/app
+
+COPY frontend /usr/local/app/
+
+RUN npm install
+RUN npm run build
+
+RUN ls /usr/local/app/dist
+
+
+FROM nginx:latest
+
+COPY --from=build /usr/local/app/dist/aktienbot /usr/share/nginx/html
+
+HEALTHCHECK --interval=15s --timeout=2s CMD ["./deploy/healthcheck.sh"]
+
+EXPOSE 80
diff --git a/webservice/Frontend/Aktienbot/README.md b/frontend/README.md
similarity index 100%
rename from webservice/Frontend/Aktienbot/README.md
rename to frontend/README.md
diff --git a/webservice/Frontend/Aktienbot/angular.json b/frontend/angular.json
similarity index 100%
rename from webservice/Frontend/Aktienbot/angular.json
rename to frontend/angular.json
diff --git a/frontend/deploy/healthcheck.sh b/frontend/deploy/healthcheck.sh
new file mode 100644
index 0000000..390f507
--- /dev/null
+++ b/frontend/deploy/healthcheck.sh
@@ -0,0 +1,2 @@
+#!/usr/bin/env sh
+curl -s http://localhost:80/ -o /dev/null || exit 1
diff --git a/webservice/Frontend/Aktienbot/karma.conf.js b/frontend/karma.conf.js
similarity index 100%
rename from webservice/Frontend/Aktienbot/karma.conf.js
rename to frontend/karma.conf.js
diff --git a/webservice/Frontend/Aktienbot/package-lock.json b/frontend/package-lock.json
similarity index 100%
rename from webservice/Frontend/Aktienbot/package-lock.json
rename to frontend/package-lock.json
diff --git a/webservice/Frontend/Aktienbot/package.json b/frontend/package.json
similarity index 100%
rename from webservice/Frontend/Aktienbot/package.json
rename to frontend/package.json
diff --git a/webservice/Frontend/Aktienbot/src/app/Helpers/auth.interceptor.ts b/frontend/src/app/Helpers/auth.interceptor.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Helpers/auth.interceptor.ts
rename to frontend/src/app/Helpers/auth.interceptor.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Services/auth.service.spec.ts b/frontend/src/app/Services/auth.service.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Services/auth.service.spec.ts
rename to frontend/src/app/Services/auth.service.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Services/auth.service.ts b/frontend/src/app/Services/auth.service.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Services/auth.service.ts
rename to frontend/src/app/Services/auth.service.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Services/data.service.spec.ts b/frontend/src/app/Services/data.service.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Services/data.service.spec.ts
rename to frontend/src/app/Services/data.service.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Services/data.service.ts b/frontend/src/app/Services/data.service.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Services/data.service.ts
rename to frontend/src/app/Services/data.service.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Services/token.service.spec.ts b/frontend/src/app/Services/token.service.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Services/token.service.spec.ts
rename to frontend/src/app/Services/token.service.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Services/token.service.ts b/frontend/src/app/Services/token.service.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Services/token.service.ts
rename to frontend/src/app/Services/token.service.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.html b/frontend/src/app/Views/dashboard/dashboard.component.html
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.html
rename to frontend/src/app/Views/dashboard/dashboard.component.html
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.scss b/frontend/src/app/Views/dashboard/dashboard.component.scss
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.scss
rename to frontend/src/app/Views/dashboard/dashboard.component.scss
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.spec.ts b/frontend/src/app/Views/dashboard/dashboard.component.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.spec.ts
rename to frontend/src/app/Views/dashboard/dashboard.component.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.ts b/frontend/src/app/Views/dashboard/dashboard.component.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/dashboard/dashboard.component.ts
rename to frontend/src/app/Views/dashboard/dashboard.component.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/header/header.component.html b/frontend/src/app/Views/header/header.component.html
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/header/header.component.html
rename to frontend/src/app/Views/header/header.component.html
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/header/header.component.scss b/frontend/src/app/Views/header/header.component.scss
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/header/header.component.scss
rename to frontend/src/app/Views/header/header.component.scss
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/header/header.component.spec.ts b/frontend/src/app/Views/header/header.component.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/header/header.component.spec.ts
rename to frontend/src/app/Views/header/header.component.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/header/header.component.ts b/frontend/src/app/Views/header/header.component.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/header/header.component.ts
rename to frontend/src/app/Views/header/header.component.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/login/login.component.html b/frontend/src/app/Views/login/login.component.html
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/login/login.component.html
rename to frontend/src/app/Views/login/login.component.html
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/login/login.component.scss b/frontend/src/app/Views/login/login.component.scss
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/login/login.component.scss
rename to frontend/src/app/Views/login/login.component.scss
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/login/login.component.spec.ts b/frontend/src/app/Views/login/login.component.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/login/login.component.spec.ts
rename to frontend/src/app/Views/login/login.component.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/login/login.component.ts b/frontend/src/app/Views/login/login.component.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/login/login.component.ts
rename to frontend/src/app/Views/login/login.component.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/register/register.component.html b/frontend/src/app/Views/register/register.component.html
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/register/register.component.html
rename to frontend/src/app/Views/register/register.component.html
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/register/register.component.scss b/frontend/src/app/Views/register/register.component.scss
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/register/register.component.scss
rename to frontend/src/app/Views/register/register.component.scss
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/register/register.component.spec.ts b/frontend/src/app/Views/register/register.component.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/register/register.component.spec.ts
rename to frontend/src/app/Views/register/register.component.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/Views/register/register.component.ts b/frontend/src/app/Views/register/register.component.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/Views/register/register.component.ts
rename to frontend/src/app/Views/register/register.component.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/app-routing.module.ts b/frontend/src/app/app-routing.module.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/app-routing.module.ts
rename to frontend/src/app/app-routing.module.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/app.component.html b/frontend/src/app/app.component.html
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/app.component.html
rename to frontend/src/app/app.component.html
diff --git a/webservice/Frontend/Aktienbot/src/app/app.component.scss b/frontend/src/app/app.component.scss
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/app.component.scss
rename to frontend/src/app/app.component.scss
diff --git a/webservice/Frontend/Aktienbot/src/app/app.component.spec.ts b/frontend/src/app/app.component.spec.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/app.component.spec.ts
rename to frontend/src/app/app.component.spec.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/app.component.ts b/frontend/src/app/app.component.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/app.component.ts
rename to frontend/src/app/app.component.ts
diff --git a/webservice/Frontend/Aktienbot/src/app/app.module.ts b/frontend/src/app/app.module.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/app/app.module.ts
rename to frontend/src/app/app.module.ts
diff --git a/webservice/Frontend/Aktienbot/src/assets/.gitkeep b/frontend/src/assets/.gitkeep
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/assets/.gitkeep
rename to frontend/src/assets/.gitkeep
diff --git a/webservice/Frontend/Aktienbot/src/environments/environment.prod.ts b/frontend/src/environments/environment.prod.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/environments/environment.prod.ts
rename to frontend/src/environments/environment.prod.ts
diff --git a/webservice/Frontend/Aktienbot/src/environments/environment.ts b/frontend/src/environments/environment.ts
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/environments/environment.ts
rename to frontend/src/environments/environment.ts
diff --git a/webservice/Frontend/Aktienbot/src/favicon.ico b/frontend/src/favicon.ico
similarity index 100%
rename from webservice/Frontend/Aktienbot/src/favicon.ico
rename to frontend/src/favicon.ico
diff --git a/webservice/Frontend/Aktienbot/src/index.html b/frontend/src/index.html
similarity index 90%
rename from webservice/Frontend/Aktienbot/src/index.html
rename to frontend/src/index.html
index 2e59807..4da32cc 100644
--- a/webservice/Frontend/Aktienbot/src/index.html
+++ b/frontend/src/index.html
@@ -5,7 +5,7 @@
Aktienbot
-
+